Subject: Re: [PATCH v2 4/5] config: add git_configset_alloc() and git_configset_clear_and_free()

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Aug 2024 08:16:47 -0700

[email-masked] writes:

>> I'm thinking of this patch series as two closely related but
>> technically separable things: the creation of a .a/.so that can be
>> used outside of git, and the rust wrapper around that library. I think
>> these functions would be needed by all users of the library,
>> regardless of what language they're implemented in. i.e. they
>> shouldn't be thought of as 'rust helpers' and instead just the way
>> that the library is designed.
> ...
> Thanks for writing this, I agree we should be designing the library
> wrapper as a general purpose library, not as an implementation detail
> of the rust code.

Excellent.  Yes, make it wrapped for Rust may be a good motivator,
but cleaning up the interface so that it is more pleasant to wrap
for or directly call from any language should be an important goal
of this effort.

Thanks, all.